package m05bBD;

/**
 * This class holds information about an order, 
 * which is stored in the database table <tt>m0529t00</tt>. 
 * The table <tt>m0529t00_siniestros</tt> is defined in the database as follows:
 * <pre>
CREATE TABLE M0529T00 (  
  COD_SINI_29           VARCHAR2 (4) NOT NULL,
  MATRIC_29		VARCHAR2 (20),
  DNI_29      	        VARCHAR2 (10),
  NOMBCC_29     	VARCHAR2 (50), 
  DNICC_29       	VARCHAR2 (10),
  MATRICC_29            VARCHAR2 (20), 
  NOMBACC_29      	VARCHAR2 (50),
  DNIACC_29      	VARCHAR2 (10),
  ASEGURCC_29      	VARCHAR2 (10),
  POLIZACC_29      	VARCHAR2 (100),
  RESPONS_29      	VARCHAR2 (10),
  ASEGURCC_29      	VARCHAR2 (10),
  FSINIESTRO_29      	DATE         ,
  FRESOL_29             DATE	     ,
  CODTALLER_29          VARCHAR2 (4) ,
  NREFASEG_29           VARCHAR2 (20),
  PERITADO_29           VARCHAR2 (1) ,
  OBSERV_29             VARCHAR2 (255),
  IMPORTE_29            NUMBER   (8,2),
  PRIMARY KEY ( COD_SINI_29 ));
 * </pre>
 * This class follows the convention of a JavaBean.
 *
 */
public class m05bSiniestros
    implements java.io.Serializable{

  private String sin_codigo  			    = "0";
  private String sin_matricula  			= "";
  private String sin_dni        			= "";
  private String sin_nombrecc				= "";
  private String sin_dnicc      			= "";
  private String sin_matriculacc   			= "";
  private String sin_nombreacc				= "";
  private String sin_dniacc      			= "";
  private String sin_aseguradoracc   		= "";
  private String sin_polizacc   			= "";
  private String sin_responsable   			= "";
  private String sin_fecsiniestro  	        = null;
  private String sin_fecresolucion          = null;
  private String sin_taller   			    = "";
  private String sin_observacion   		    = "";
  private String sin_peritado               = "";
  private String sin_nrefaseg               = "";
  private String sin_importe                = "";
  
  
  public String getSin_matricula(){return sin_matricula;} 
  public void setSin_matricula(String n){sin_matricula = n;}
  
  public String getSin_codigo(){return sin_codigo;}  
  public void setSin_codigo(String n){sin_codigo = n;}
  
  public String getSin_dni(){return sin_dni;} 
  public void setSin_dni(String n){sin_dni = n;}
  
  public String getSin_nombrecc(){return sin_nombrecc;}  
  public void setSin_nombrecc(String n){sin_nombrecc = n;}
  
  public String getSin_nombreacc(){return sin_nombreacc;}  
  public void setSin_nombreacc(String n){sin_nombreacc = n;}

  public String getSin_dnicc(){return sin_dnicc;}
  public void setSin_dnicc(String n){sin_dnicc = n;}
  
  public String getSin_dniacc(){return sin_dniacc;}
  public void setSin_dniacc(String n){sin_dniacc = n;}
  
  public String getSin_matriculacc(){return sin_matriculacc;}
  public void setSin_matriculacc(String n){sin_matriculacc = n;}
  
  public String getSin_fecsiniestro(){return sin_fecsiniestro;}
  public void setSin_fecsiniestro(String n){sin_fecsiniestro  = n;}
  
  public String getSin_fecresolucion(){return sin_fecresolucion;}
  public void setSin_fecresolucion(String n){sin_fecresolucion = n;}
  
  public String getSin_aseguradoracc(){return sin_aseguradoracc;} 
  public void setSin_aseguradoracc(String n){sin_aseguradoracc = n;}
  
  public String getSin_polizacc(){return sin_polizacc;} 
  public void setSin_polizacc(String n){sin_polizacc = n;}
  
  public String getSin_responsable(){return sin_responsable;} 
  public void setSin_responsable(String n){sin_responsable = n;}
  
  public String getSin_taller(){return sin_taller;} 
  public void setSin_taller(String n){sin_taller = n;}
  
  public String getSin_observacion(){return sin_observacion;} 
  public void setSin_observacion(String n){sin_observacion = n;}
  
  public String getSin_peritado(){return sin_peritado;} 
  public void setSin_peritado(String n){sin_peritado = n;}
  
  public String getSin_importe(){return sin_importe;} 
  public void setSin_importe(String n){sin_importe = n;}
  
  public String getSin_nrefaseg(){return sin_nrefaseg;} 
  public void setSin_nrefaseg(String n){sin_nrefaseg = n;}
  

  public String toString(){
    String s = "";
    s += "[Codigo = " + sin_codigo + "]";
    s += "[Matricula = " + sin_matricula + "]";
    s += "[Aseguradoracc = " + sin_aseguradoracc + "]";
    s += "[Polizacc = " + sin_polizacc + "]";
    s += "[Responsable = " + sin_responsable + "]";
    s += "[Taller = " + sin_taller + "]";
    s += "[Observacion = " + sin_observacion + "]";
    s += "[Peritado = " + sin_peritado + "]";
    s += "[Importe = " + sin_importe + "]";
    s += "[N Ref Aseg = " + sin_nrefaseg + "]";
    s += "[Matriculacc = " + sin_matriculacc + "]";
    s += "[Dni = " + sin_dni + "]";
    s += "[Nombrecc = " + sin_nombrecc + "]";
    s += "[Nombreacc = " + sin_nombreacc + "]";
    s += "[Dnicc = " + sin_dnicc + "]";
    s += "[Dniacc = " + sin_dniacc + "]";
    s += "[Fecha Siniestro = " + sin_fecsiniestro + "]";
    s += "[Fecha Resolucion = " + sin_fecresolucion + "]";
    return s;
  }
 }